Subject: Re: kurobox kernel

From: Xianghua Xiao <[email-masked]>
Date: Thu, 28 Dec 2006 15:07:05 -0600

you can find the newest dtc tool at http://jdl.com/git_repos/

Scott Wood wrote:
> Mark Glines wrote:
>   
>> $ dtc -f -I dts -O dtb -o kuroboxHG.dtb -V 16 kuroboxHG.dts
>> DTC: dts->dtb  on file "kuroboxHG.dts"
>> ERROR: Missing /chosen node
>> Input tree has errors
>>
>>     
the warning is fine. the "chosen" node is filled out by u-boot(instead 
of the generated dtb file) for the time being. you can do a quick 
reverse dtc to check your dtb binary:

$dtc -f -I dtb -O dts -V 0x10 kuroboxHG.dtb > kuroboxHG.dts.check
>> So, uh... is the *.dts file in 2.6.20-rc2 bad, or am I compiling it 
>> wrongly?  (And is this normally done by hand, or as part of the kernel 
>> build process?)
>>     
>
> You need to pass the -f option to dtc.  Hopefully, dtc will be fixed to 
> not complain about this at some point.
>
> -Scott
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>